import * as TSU from "@panyam/tsutils";
import { Cycle, CyclePosition } from "./cycle";
type Fraction = TSU.Num.Fraction;
export declare class LayoutParams {
    private static counter;
    readonly uuid: number;
    beatDuration: number;
    cycle: Cycle;
    protected _lineBreaks: number[];
    private _rowStartOffsets;
    private _rowEndOffsets;
    private _rowDurations;
    private _totalLayoutDuration;
    private _beatLayouts;
    private _totalBeats;
    constructor(config?: any);
    equals(another: this): boolean;
    lineBreaksEqual(another: number[]): boolean;
    debugValue(): any;
    getBeatLocation(beat: {
        index: number;
        barIndex: number;
        beatIndex: number;
        instance: number;
    }): [number, number, Fraction];
    get lineBreaks(): number[];
    set lineBreaks(val: number[]);
    get beatLayouts(): ReadonlyArray<ReadonlyArray<[CyclePosition, Fraction]>>;
    get totalBeats(): number;
    get totalLayoutDuration(): Fraction;
    protected refreshLayout(): void;
}
export {};
